<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import Login from '@/components/account/Login.vue';
import OverviewLoginLayout from '@/components/account/OverviewLoginLayout.vue';
import PaneLoginLayout from '@/components/account/PaneLoginLayout.vue';
import { computed } from 'vue';
import { useRoute } from 'vue-router';
const route = useRoute();
const isOverview = computed(()=>{
    if(!route.redirectedFrom || route.redirectedFrom.name !== 'admin-pane') return true;
    else return false;
});
console.log({ route: route.redirectedFrom, isOverview: isOverview.value })
</script>
<template>
    <OverviewLoginLayout v-if="isOverview">
        <Login />
    </OverviewLoginLayout>
    <PaneLoginLayout v-else>
        <Login/>
    </PaneLoginLayout>
</template>